- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QInputContext Class Reference

Search for all occurrences

## Detailed Description

Definition at line 82 of file qinputcontext.h.

`#include <qinputcontext.h>`

Inheritance diagram for QInputContext:
[legend]

List of all members.

## Public Types
enum | StandardFormat { PreeditFormat, SelectionFormat }
## Public Member Functions
| QInputContext (QObject *parent=0)
virtual | ~QInputContext ()
virtual QString | identifierName ()=0
virtual QString | language ()=0
virtual void | reset ()=0
virtual void | update ()
virtual void | mouseHandler (int x, QMouseEvent *event)
virtual QFont | font () const
virtual bool | isComposing () const =0
QWidget * | focusWidget () const
virtual void | setFocusWidget (QWidget *w)
virtual void | widgetDestroyed (QWidget *w)
virtual QList< QAction * > | actions ()
virtual bool | filterEvent (const QEvent *event)
void | sendEvent (const QInputMethodEvent &event)
QTextFormat | standardFormat (StandardFormat s) const
## Friends
class | QWidget
class | QWidgetPrivate
class | QInputContextFactory
class | QApplication

## Member Enumeration Documentation

enum StandardFormat

Search for all occurrences

Enumerator:

  PreeditFormat | Search for all occurrences
  SelectionFormat | Search for all occurrences

Definition at line 117 of file qinputcontext.h.

                            {
            PreeditFormat,
            SelectionFormat
        };

## Constructor & Destructor Documentation

QInputContext | ( | QObject * | parent = `0` | ) | `[explicit]`

virtual ~QInputContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString identifierName | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual QString language | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void reset | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void update | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void mouseHandler | ( | int | x,
|  | QMouseEvent * | event
| ) |  | `[virtual]`

Search for all occurrences

virtual QFont font | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual bool isComposing | ( |  | ) | const `[pure virtual]`

Search for all occurrences

QWidget* focusWidget | ( |  | ) | const

Search for all occurrences

virtual void setFocusWidget | ( | QWidget * | w | ) | `[virtual]`

Search for all occurrences

virtual void widgetDestroyed | ( | QWidget * | w | ) | `[virtual]`

Search for all occurrences

virtual QList<QAction *> actions | ( |  | ) | `[virtual]`

Search for all occurrences

virtual bool filterEvent | ( | const QEvent * | event | ) | `[virtual]`

Search for all occurrences

void sendEvent | ( | const QInputMethodEvent & | event | ) |

Search for all occurrences

QTextFormat standardFormat | ( | StandardFormat | s | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QWidget `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 123 of file qinputcontext.h.

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 124 of file qinputcontext.h.

friend class QInputContextFactory `[friend]`

Search for all occurrences

Definition at line 125 of file qinputcontext.h.

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 126 of file qinputcontext.h.

The documentation for this class was generated from the following file:

- QtGui/qinputcontext.h

QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext
QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext QInputContext